Bug 1204910 - Support for fence_{virt,xvm} agents does not fully reflect current status
Summary: Support for fence_{virt,xvm} agents does not fully reflect current status
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: luci
Version: 6.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Ryan McCabe
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-23 18:01 UTC by Jan Pokorný [poki]
Modified: 2015-07-22 07:33 UTC (History)
3 users (show)

Fixed In Version: luci-0.26.0-68.el6
Doc Type: Bug Fix
Doc Text:
Cause: fence_virt was previously tech preview, and there was a label stating so in the GUI. As of RHEL 6.7, fence_virt is now fully supported. Additionally, some labels and text regarding fence_xvm and fence_virt were inconsistent Consequence: The GUI needed to be modified to no longer state that fence_virt was a tech preview feature. Fix: The "(tech preview)" text has been removed. Additionally, the text regarding fence_virt and fence_xvm has been made consistent. Result: The GUI text reflects the current support status for fence_virt.
Clone Of:
Environment:
Last Closed: 2015-07-22 07:33:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1454 normal SHIPPED_LIVE luci bug fix and enhancement update 2015-07-20 18:43:43 UTC

Description Jan Pokorný [poki] 2015-03-23 18:01:12 UTC
0. s/Fence virt (Tech Preview)/Fence virt (Serial/VMChannel Mode)/
 + just under fence_xvm(cur_fencedev, ni):
   if cluster_version == 3, it should say "Fence virt (Multicast Mode)"
   not just "fence_xvm" (for uniformity)
 + just under fence_virt(cur_fencedev, ni):
   it should say "Fence virt (Serial/VMChannel Mode)", not "Fence virt"

1. fence_virt is missing "timeout" parameter
   (thanks to Steven Levine for discovery)
   - likely in use since "beginning":
     https://github.com/ClusterLabs/fence-virt/commit/c7209147c2a1ebe2ca76151b41557b12cdfb1475

Comment 8 errata-xmlrpc 2015-07-22 07:33:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1454.html


Note You need to log in before you can comment on or make changes to this bug.